<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionDocumento }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <router-link :to="back">
        ¿No es el documento que buscabas? Regresa al buscador
      </router-link>
      <div>
        <v-row>
          <v-col>
            <div class="text-center font-weight-black text-h6">
              Visualizador de documentos: {{ textoGestionDocumento }}
            </div>
          </v-col>
        </v-row>
        <v-row>
          <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
            <FolioArchivos :folio="folio" />
          </v-col>
        </v-row>
      </div>
    </div>
  </div>
</template>
<style scoped>
.link {
  text-decoration: underline;
  color: black;
  cursor: pointer;
}
</style>
<script>
import store from "@/store";
import FolioArchivos from "@/views/secure/modelo-negocio/documentos/gestion-documento/pasos/resumen/componentes/FolioArchivos.vue";
const axios = store.state.axiosApiLocal;
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-Resumen",
  components: {
    FolioArchivos,
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Negocio",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio",
          },
        },
        {
          text: "Documento",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio_documentos",
          },
        },
        {
          text: "Visualizador",
          disabled: true,
          exact: true,
          to: {
            name: "modelo_negocio_documentos",
          },
        },
      ],
      folio: {
        idFolio: null,
        documento: {},
        etiquetas: [],
        firmas: {
          todas: [],
        },
      },
      textoGestionDocumento: null,
      renderArchivos: false,
      renderRutas: false,
      back: null,
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    initValues() {
      this.breadcrumbs.push({
        text: this.folio.documento.titulo,
        disabled: true,
      });
      this.textoGestionDocumento = this.folio.documento.titulo;
    },
    getFolioResumen() {
      const self = this;
      this.renderArchivos = false;
      this.renderRutas = false;
      axios("/modelo-negocio/folios/v1/" + this.folio.idFolio + "/resumen")
        .then((response) => {
          let data = response.data;
          if (data) {
            self.folio.documento = data.resultado.documento;
            self.folio.etiquetas = data.resultado.etiquetas;
            self.folio.firmas = data.resultado.firmas;
            self.initValues();
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        })
        .finally(() => {
          self.renderArchivos = true;
          self.renderRutas = true;
        });
    },
  },
  created() {
    if (this.$route.params.folio) {
      this.folio = this.serviceCommons.base64ToObject(this.$route.params.folio);
    }
    if (this.$route.query.back) {
      this.back = this.serviceCommons.base64ToObject(this.$route.query.back);
    }
    this.getFolioResumen();
  },
};
</script>
